/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\ML Minor Artys\artifacts\Boomstick.cs
Lines of code: 41
***********************************************************/


using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	public class Boomstick : WildStaff
	{
		public override int LabelNumber{ get{ return 1075032; } } // Boomstick
		
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public Boomstick()
		{
			Name = "Boomstick";
			
			Hue = 0x676;
			Attributes.SpellChanneling = 1;
			Attributes.RegenMana = 3;
			Attributes.CastSpeed = 1;
			Attributes.LowerRegCost = 20;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=100;			
		}


		public Boomstick( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}